> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a channels

> Create a channels

### Request body

`CreateChannelRequest`

<ParamField body="channel_type" type="string" required>
  One of `sales_channel`, `fulfillment_channel`, `end_to_end_channel`.
</ParamField>

<ParamField body="integration" type="string,null" />

<ParamField body="name" type="string" required />

### Responses

<ResponseField name="201" type="ChannelResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request POST \
    --url 'https://api.stateset.com/api/v1/channels' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "channel_type": "string",
    "integration": null,
    "name": "string"
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 201 theme={null}
  {
    "api_locked": true,
    "channel_type": "string",
    "created_at": "string",
    "id": "string",
    "integration": null,
    "name": "string",
    "status": "string"
  }
  ```
</ResponseExample>
